2019-12-09 05:23 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003157FSSCPlocalizationpublic2015-04-28 05:13
ReporterYarn 
Assigned ToYarn 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindows 7OS Version
Product Version3.7.2 
Target VersionFixed in Version3.7.3 
Summary0003157: German and Polish translations of "Transport" in localize.cpp are switched
DescriptionWhen my patch for improved Polish support was committed at SVN revision 11044, the Polish translation of "Transport" in the lcl_translate_brief_icon_name_pl() function in localize.cpp was supposed to be corrected from "Transporter" to "Transportowiec". However, this correction was somehow applied to the German translation in lcl_translate_brief_icon_name_gr() instead!

This probably happened because a bunch of code was removed from localize.cpp after the patch was originally made and before it was committed.
Additional InformationI'd make a patch, but because the SCP has moved to Git and I haven't set up a Git client yet, I'll just post these instructions on what to change:

1. In lcl_translate_brief_icon_name_gr(), change the translation of "Transport" from "Transportowiec" to "Transporter".

2. In lcl_translate_brief_icon_name_pl(), change the translation of "Transport" from "Transporter" to "Transportowiec".
TagsNo tags attached.
Attached Files
  • patch file icon mantis3157.patch (688 bytes) 2015-04-25 20:10 -
    Index: code/localization/localize.cpp
    ===================================================================
    --- code/localization/localize.cpp	(revision 11328)
    +++ code/localization/localize.cpp	(working copy)
    @@ -1209,7 +1209,7 @@
     
     	} else if ((pos = strstr(name, "Transport")) != NULL) {
     		pos += 9;		// strlen of "transport"
    -		strcpy_s(buf, "Transportowiec");
    +		strcpy_s(buf, "Transporter");
     		strcat_s(buf, pos);
     		strcpy(name, buf);
     
    @@ -1356,7 +1356,7 @@
     
     	} else if ((pos = strstr(name, "Transport")) != NULL) {
     		pos += 9;		// strlen of "transport"
    -		strcpy_s(buf, "Transporter");
    +		strcpy_s(buf, "Transportowiec");
     		strcat_s(buf, pos);
     		strcpy(name, buf);
     
    
    patch file icon mantis3157.patch (688 bytes) 2015-04-25 20:10 +

-Relationships
+Relationships

-Notes

~0016673

MageKing17 (developer)

Last edited: 2015-04-26 17:39

View 2 revisions

It's been decided that SVN will be used to merge Swifty's rendering changes and Antipodes, so we'll be sticking with it a little while longer; go ahead and do it in SVN.

EDIT: No longer true, people reading this in the future!

~0016674

Yarn (developer)

OK, then. Patch is attached.

~0016684

niffiwan (developer)

Committed to github repo: https://github.com/scp-fs2open/fs2open.github.com/commit/e3d1428e35572dc1a333e97bfebf31f487073152
+Notes

-Issue History
Date Modified Username Field Change
2015-04-25 18:38 Yarn New Issue
2015-04-25 19:57 MageKing17 Note Added: 0016673
2015-04-25 20:10 Yarn File Added: mantis3157.patch
2015-04-25 20:10 Yarn Note Added: 0016674
2015-04-25 20:33 Yarn Assigned To => Yarn
2015-04-25 20:33 Yarn Status new => assigned
2015-04-25 20:34 Yarn Status assigned => code review
2015-04-26 17:39 MageKing17 Note Edited: 0016673 View Revisions
2015-04-28 05:13 niffiwan Note Added: 0016684
2015-04-28 05:13 niffiwan Status code review => resolved
2015-04-28 05:13 niffiwan Fixed in Version => 3.7.3
2015-04-28 05:13 niffiwan Resolution open => fixed
+Issue History